## revers.py-0.2.tar.gz

=== Makefile ===
#
# $Id: Makefile,v 3d0f4ea94c86 2010/06/09 10:49:38 vsevolod $
#

all: build

arch:
	cp -f PKGBUILD PKGBUILD.local
	sed -i -e 's/_hgroot=.*/_hgroot=../' PKGBUILD.local
	makepkg -p PKGBUILD.local

build:
	python setup.py sdist

pypi:
	python setup.py register

pypiup:
	# can`t work via proxy ?
	python setup.py sdist upload

test:
	nosetests

clean:
	rm -rf build dist *.egg-info *.pyc *.tar.?z *.orig *~ pkg src PKGBUILD.local

=== PKGBUILD ===
# -*- shell-script -*-
# Arch Linux package build script
#
# Contributor: Vsevolod Balashov <vsevolod@balashov.name>
#
# $Id: PKGBUILD,v e477e838d336 2010/06/09 12:02:16 vsevolod $

name='revers.py'
pkgname=$name-hg
pkgver=11
pkgrel=1
pkgdesc="Reverse Entity-Relationship Storm"
arch=(any)
url="http://pypi.python.org/pypi/$name"
license=('GPL')
depends=('python' 'storm')
makedepends=('setuptools' 'mercurial')

_hgroot="http://bitbucket.org/sevkin"
_hgrepo=$name

build() {
  cd "$srcdir/$name"
  python setup.py install --prefix=/usr --root=$startdir/pkg || return 1
}
